- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.gdiobject.Font Class Reference

The smjg.libs.sdwf.gdiobject.Font class represents a font configuration. More...

Inheritance diagram for smjg.libs.sdwf.gdiobject.Font:

List of all members.

## Public Member Functions
| this (int height, int width, int escapement, int orientation, FW weight, bool italic, bool underline, bool strikeout, CHARSET charSet, OUT_PRECIS outputPrecision, CLIP_PRECIS clipPrecision, QUALITY quality, FF pitchAndFamily, string face)
| Creates a new Font with the given attributes.
| this (int height, FW weight, bool italic, bool underline, bool strikeout, string face)
| Creates a new Font with the given attributes.
| this (FONT stockFont)
| Creates a Font wrapper around the specified stock font.
| this (HFONT h, bool autoDelete=false)
| Constructs a Font wrapper around a pre-existing Windows font object.
| this (LOGFONTA f)
| Constructs a Font according to the given specification.
LOGFONTA | info ()
| The specification of this font as a Windows `LOGFONTA` structure.

## Detailed Description

The smjg.libs.sdwf.gdiobject.Font class represents a font configuration.

## Constructor & Destructor Documentation

smjg.libs.sdwf.gdiobject.Font.this | ( | int | height,
|  | int | width,
|  | int | escapement,
|  | int | orientation,
|  | FW | weight,
|  | bool | italic,
|  | bool | underline,
|  | bool | strikeout,
|  | CHARSET | charSet,
|  | OUT_PRECIS | outputPrecision,
|  | CLIP_PRECIS | clipPrecision,
|  | QUALITY | quality,
|  | FF | pitchAndFamily,
|  | string | face |
| ) |  |  |

Creates a new Font with the given attributes.

Parameters:

  | height | the height of the font in logical units. Can be positive (specifies cell height), zero (uses a default height) or negative (specifies character height).
  | width | the average character width of the font in logical units. A value of zero signifies that a default width will be used.
  | escapement | the angle between the baseline of a line of text and the x-axis.
  | orientation | the angle between each character's baseline and the x-axis.
  | weight | the lightness or boldness of the font.
  | italic | italic attribute.
  | underline | underline attribute.
  | strikeout | strikeout attribute.
  | charSet | the character set that the font will use.
  | outputPrecision | how precisely the created font must match the given dimensions.
  | clipPrecision | how characters will be clipped if necessary.
  | quality | the output quality.
  | pitchAndFamily | a bitwise combination of two FF values: one defining whether the font should be fixed or proportionally spaced, and the other defining the font family.
  | face | the name of the font typeface. Can be null, meaning that a font will be chosen on the basis of the given attributes.

smjg.libs.sdwf.gdiobject.Font.this | ( | int | height,
|  | FW | weight,
|  | bool | italic,
|  | bool | underline,
|  | bool | strikeout,
|  | string | face |
| ) |  |  |

Creates a new Font with the given attributes.

This form supplies the attributes you are most likely to want to concern yourself with, using default values for the remainder:

- width = 0
- escapement = 0
- orientation = 0
- charSet = CHARSET.ANSI
- outputPrecision = OUT_PRECIS.DEFAULT
- clipPrecision = CLIP_PRECIS.DEFAULT
- quality = QUALITY.DEFAULT
- pitchAndFamily = FF.DEFAULT_PITCH | FF.DONTCARE

Parameters:

  | height | the height of the font in logical units. Can be positive (specifies cell height), zero (uses a default height) or negative (specifies character height).
  | weight | the lightness or boldness of the font.
  | italic | italic attribute.
  | underline | underline attribute.
  | strikeout | strikeout attribute.
  | face | the name of the font typeface. Can be null, meaning that a font will be chosen on the basis of the given attributes.

smjg.libs.sdwf.gdiobject.Font.this | ( | FONT | stockFont | ) |

Creates a Font wrapper around the specified stock font.

Parameters:

  | stockFont | value identifying the stock font to be obtained.

smjg.libs.sdwf.gdiobject.Font.this | ( | HFONT | h,
|  | bool | autoDelete = `false` |
| ) |  |  |

Constructs a Font wrapper around a pre-existing Windows font object.

Parameters:

  | h | handle of the font to wrap.
  | autoDelete | (since 0.5) whether the Windows handle should be automatically deleted when the SDWF object is garbage collected.

smjg.libs.sdwf.gdiobject.Font.this | ( | LOGFONTA | f | ) |

Constructs a Font according to the given specification.

Parameters:

  | f | a structure specifying characteristics of the font.

## Member Function Documentation

LOGFONTA smjg.libs.sdwf.gdiobject.Font.info | ( |  | ) |

The specification of this font as a Windows `LOGFONTA` structure.

The documentation for this class was generated from the following file:

- gdiobject.d